#!/usr/bin/env python
import optparse
from check import error, output

scriptname = "hypernode-image-optimizer"


def hypernode_image_optimizer():
    try:
        from byte_rpc.commands.cronmanager import read_crontab
    except ImportError:
        error("cronmanager is not available")

    is_enabled = _is_image_optimizer_enabled(read_crontab().splitlines())
    
    output({'hypernode_image_optimizer_enabled': is_enabled})


def _is_image_optimizer_enabled(cronlines):
    for line in cronlines:
        if scriptname in line:
            if not line.strip().startswith('#'):
                return True
    return False


def stub():
    output({
        'hypernode_image_optimizer_enabled': False
    })


if __name__ == "__main__":
    parser = optparse.OptionParser()
    parser.add_option('--magentopath', action="store", type="string", dest="magentopath")
    parser.add_option('--stub', action="store_true", default=False, dest="stub")
    options, args = parser.parse_args()

    if options.stub:
        stub()
    else:
        hypernode_image_optimizer()
