#!/usr/bin/php -d opcache.enable_cli=0
<?php

require_once 'Abstract.php';

/**
 * Parameters plugin (informational)
 * =================================
 *
 * Checks global Magento parameters
 *
 * Command line arguments
 * ----------------------
 * --magentopath    [required] Path to magento root
 *
 * Output
 * ------
 * Output key(s)
 * - global_parameters
 *
 * Returns an object with keys:
 * - str   version                Version of installed Magento, including Edition
 *
 * Interpreting
 * ------------
 * -
 */
class Byte_Mavo_Plugin_Parameters extends Byte_Mavo_Plugin_Abstract
{
    protected $_stubs = array(
        '{"global_parameters":{"version":"Community 1.6.2.0-stub"}}',
        '{"global_parameters":{"version":"Professional 1.4.1-stub"}}',
        '{"global_parameters":{"version":"Enterprise 1.5.0-stub"}}',
        '{"error": "Magento not found"}',
    );


    public function run()
    {
        parent::run();

        $this->addResult('global_parameters', $this->getGlobals());
        $this->outputResult();
    }


    public function getGlobals()
    {
        $this->createMagentoEnvironment();
        return array(
            'version' => $this->getMagentoVersionString(),
        );
    }
}

try {
    $plugin = new Byte_Mavo_Plugin_Parameters();
    $plugin->run();
} catch (Exception $e) {
    Byte_Mavo_Plugin_Parameters::dieError('Error running plugin: ' . $e->getMessage());
}
