#!/usr/bin/php -d opcache.enable_cli=0
<?php

require_once 'Abstract.php';

/**
 * Patch: Shoplift plugin check
 * =======================================
 *
 * Checks whether a Magento has been patched against the Shoplift bug.
 *
 * Command line arguments
 * ----------------------
 * --magentopath  [required] Path to magento root
 *
 * Output
 * ------
 * Output key(s)
 * - patch_shoplift_applied
 *
 * Returns object with keys:
 * - bool    result      Is the patch applied
 *
 */
class Byte_Mavo_Plugin_CheckPatchShoplift extends Byte_Mavo_Plugin_Abstract
{
    protected $_stub = '{"patch_shoplift_applied":{"result":false}}';

    public function run()
    {
        parent::run();

        $this->addResult('patch_shoplift_applied', $this->getCheckPatchShopliftApplied());
        $this->outputResult();
    }

    public function getCheckPatchShopliftApplied()
    {
        $this->checkMagentoPathArgument();
        require_once $this->_magentoPath . '/app/Mage.php';

	$result = method_exists('Mage_Core_Controller_Request_Http', 'setInternallyForwarded');

        return array('result' => $result);
    }

}

try {
    $plugin = new Byte_Mavo_Plugin_CheckPatchShoplift();
    $plugin->run();
} catch (Exception $e) {
    Byte_Mavo_Plugin_CheckCheckPatchShoplift::dieError('Error running plugin: ' . $e->getMessage());
}
