#!/usr/bin/php -d opcache.enable_cli=0
<?php

require_once 'Abstract.php';

/**
 * Patch: SUPEE-5994 plugin check
 * =======================================
 *
 * Checks whether a Magento has been patched with SUPEE-5994
 *
 * Command line arguments
 * ----------------------
 * --magentopath  [required] Path to magento root
 *
 * Output
 * ------
 * Output key(s)
 * - patch_supee_5994_applied
 *
 * Returns object with keys:
 * - bool    result      Is the patch applied
 *
 */
class Byte_Mavo_Plugin_CheckPatchSUPEE5994 extends Byte_Mavo_Plugin_Abstract
{
    protected $_stub = '{"patch_supee_5994_applied":{"result":false}}';

    public function run()
    {
        parent::run();

        $this->addResult('patch_supee_5994_applied', $this->getCheckPatchSUPEE5994Applied());
        $this->outputResult();
    }

    public function getCheckPatchSUPEE5994Applied()
    {
        $this->checkMagentoPathArgument();
        require_once $this->_magentoPath . '/app/Mage.php';

	$result = method_exists('Mage_Core_Controller_Varien_Router_Standard', '_validateControllerInstance');

        return array('result' => $result);
    }

}

try {
    $plugin = new Byte_Mavo_Plugin_CheckPatchSUPEE5994();
    $plugin->run();
} catch (Exception $e) {
    Byte_Mavo_Plugin_CheckCheckPatchSUPEE5944::dieError('Error running plugin: ' . $e->getMessage());
}
